export declare type UseKeyboardListNavigationAction = {
    type: "RESET";
} | {
    type: "INTERACT";
} | {
    type: "PREV";
} | {
    type: "NEXT";
} | {
    type: "FIRST";
} | {
    type: "LAST";
} | {
    type: "SET";
    payload: {
        cursor: number;
    };
};
export declare type UseKeyboardListNavigationState = {
    cursor: number;
    length: number;
    interactive: boolean;
};
export declare type UseKeyboardListNavigationProps<T> = {
    list: T[];
    waitForInteractive?: boolean;
    onEnter(element: T, state: UseKeyboardListNavigationState, index: number): void;
    extractValue?(item: T): string;
};
export declare const useKeyboardListNavigation: <T>({ list, onEnter, waitForInteractive, extractValue }: UseKeyboardListNavigationProps<T>) => {
    index: number;
    selected: T;
    cursor: number;
    length: number;
    interactive: boolean;
};
